logical {base} | R Documentation

## Logical Vectors

### Description

Create or test for objects of type `"logical"`, and the basic logical ``constants''.

### Usage

    TRUE
    FALSE
    T; F

    logical(length = 0)
    as.logical(x)
    is.logical(x)

### Details

`TRUE` and `FALSE` are part of the R language, where `T` and `F` are global variables set to these. All four are `logical(1)` vectors.

### Value

`logical` creates a logical vector of the specified length. Each element of the vector is equal to `FALSE`.

`as.logical` attempts to coerce its argument to be of logical type. For `factor`s, this uses the `levels` (labels) and not the `codes`.

`is.logical` returns `TRUE` or `FALSE` depending on whether its argument is of logical type or not.

[Package Contents]